{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Correction de la fiche action {{T.id}} {{T.sysma_action}}</h2>

<p>Attention les données seront corrigées, les anciennes données seront écrasées.</p>
{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formTravaux{{ T.id }}" action='#' >

    <div class='form-group'>
        <label>Nom de la fiche action</label>
        <input name="sysma_action" value="{{T.sysma_action|raw}}" class="form-control"/>        
    </div>



    <div class='form-group'>
        <label>Date de début des actions</label>
        <input name="start_date" id="start_date" value="{{T.start_date}}" class="form-control" onkeyup="checkDate('start_date', 'start_dateComment', 'boutonCreerTravaux', 'end_date');" required="required" />
        <div id="start_dateComment"></div>
    </div>

    <div class='form-group'>
        <label>Date de fin actions</label>
        <input name="end_date" id="end_date" value="{{T.end_date}}" class="form-control" onkeyup="checkDateEndOK('end_date', 'end_dateComment', 'boutonCreerTravaux', 'start_date');" required="required" />
        <div id="end_dateComment"></div>

    </div>  

    <div class='form-group'>
        <label>Année d'engagement de l'action dans le budget du maître d'ouvrage (obligatoire)</label>
        <input name="program_year" value="{{T.program_year|raw}}" class="form-control" required="required" type="number" min="1980" />        
    </div>




    {% if COST_MANAGEMENT|default('activated_by_user') != 'desactivated' %}  


        <label><input type="checkbox" value="1" name="cost_management" id="cost_management"> Gérer les coûts</label>     
        <div id="cost_management_div" style="display: none;">
            <div class="row">
                <div class="col-md-4">Coût unitaire indicatif</div>
                <div class="col-md-8">
                    <input  id="unit_cost_thesaurus_info"  value="{{ T.unit_cost_thesaurus|default(null) }}" disabled /> € {{ HT_TTC }} 
                    par <span id="unit_measure_thesaurus_info">unité</span>
                    <input type="hidden" name="unit_cost_thesaurus" id="unit_cost_thesaurus"  value="{{ T.unit_cost_thesaurus|default(0) }}"  />
                </div>

            </div>
            <div class="row">
                <div class="col-md-4">Coût unitaire prévisionnel</div>
                <div class="col-md-8">
                    <input  id="unit_cost_estimated_user" name="unit_cost_estimated_user"  value="{{ T.unit_cost_estimated_user|default(null) }}" value="" type="number" step="0.01" /> € {{ HT_TTC }} 
                    par 
                    <select id="unit_measure_estimated_user" name="unit_measure_estimated_user">
                        {%  for key,unit in UNIT_MEASURES  %}
                            <option value="{{ key }}" 
                                    {%  if T.unit_measure_estimated_user == key %} selected {%  endif %}
                                    >{{  unit }}</span>
                            {%  endfor %} 
                    </select>
                    <a href="#"><span class='glyphicon glyphicon-refresh' id='update_total_cost'></span></a>

                </div>

            </div>

            <div class="row">
                <div class="col-md-4">Coût total prévisionnel</div>
                <div class="col-md-8">
                    <input name="total_cost_estimated_user"  id="total_cost_estimated_user"  value="{{  T.total_cost_estimated_user }}" value="" type="number" step="0.01" /> € {{ HT_TTC }}                  
                </div>

            </div>
            <div class="row">
                <div class="col-md-4">Coût total final</div>
                <div class="col-md-8">
                    <input name="total_cost_final_user"  id="total_cost_final_user"  value="{{  T.total_cost_final_user }}" value="" type="number" step="0.01" /> € {{ HT_TTC }}                  
                </div>

            </div>
            <br>
        </div>
    {%  endif  %}




    <div class='form-group'>
        <label>Contrat(s)</label>


        {% for C in T.tabcontracts %}
            <div class="chekcbox">            
                <label>
                    <input type="checkbox" name="contract{{ C.id }}" value="1"  {% if T.tabcontractsVal[C.contract] == true %} checked="checked" {% endif %} > {{ C.contract }}
                </label>
            </div>
        {% endfor %}


    </div>


    <div class='form-group'>
        <label>Statut</label>
        <select  name="status" class="form-control">
            {% for S in tabStatuts %}            
                <option value="{{S.status_value}}"
                        {% if T.Status.status_value == S.status_value %} selected {% endif %}   
                        >
                    {{S.status}}</option>
                {% endfor %}
        </select>
    </div>

    <div class='form-group'>
        <label>Structure</label>
        <select  name="organisation_id" class="form-control">
            {% for S in taborganisation %}            
                <option value="{{S.organisation_id}}"
                        {% if T.organisation_id == S.organisation_id %} selected {% endif %}   
                        >
                    {{S.organisation|raw}}</option>
                {% endfor %}
        </select>
    </div>

    <button  id="boutonModifierObjet"  class="btn btn-primary" 
             onclick="sendFormAndRedirectAndMove('formTravaux{{ T.id }}', '{{url('action-update-commit')}}', 'id={{sysma_object_id}}&sysma_action_id{{ T.id}}', '{{url('object')}}', 'objet', event, 'blocInfosTravaux{{T.id}}');">
        Corriger</button>
    <input type="hidden" name="sysma_action_type_id" value="{{ T.sysma_action_type_id }}" />
    <input type="hidden" value="{{T.id}}" name="sysma_action_id" />



</form>



<h2 class='text-danger'>Suppression de la fiche action</h2>

{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formSupprTravaux{{ T.id }}" action='#'>
    <button id="boutonSupprimerTravaux" class="btn btn-danger"
            onclick="if (!confirm('Voulez-vous supprimer cette fiche sysma_action ? Les données seront supprimées.'))
                        return false;
                sendFormAndRedirect('formSupprTravaux{{ T.id }}', '{{ url('action-delete') }}', 'id={{ sysma_object_id }}', '{{ url('object') }}', 'objet', event);">
        Supprimer</button>

    <input type="hidden" value="{{T.id}}" name="sysma_action_id" />
    <input type="hidden" value="{{sysma_object_id}}" name="sysma_object_id" />



</form>



{% if COST_MANAGEMENT|default('activated_by_user') != 'desactivated' %}    

    <script type="text/javascript">

        {% if  T.total_cost_estimated_user is not null  %}        
                $('#cost_management').prop("checked", true);
                $('#cost_management_div').show(150);
        {% endif %}



            function updateCosts() {
            if ($('#cost_management').is(':checked')) {
            updateTotalCost()
            }
            }

            function updateTotalCost() {
            if ($('#unit_measure_estimated_user').val() === 'unit'){
            var total_cost = ($('#unit_cost_estimated_user').val() * 1);
            }
            else if ($('#unit_measure_estimated_user').val() === 'object'){
            var total_cost = ($('#unit_cost_estimated_user').val() *      {{ linkedObjectsInfos.count|default(0) }} );
            }
            else if ($('#unit_measure_estimated_user').val() === 'm'){
            var total_cost =
                    ($('#unit_cost_estimated_user').val() * {{ linkedObjectsInfos.perimetre|default(0) }});
            }
            else if ($('#unit_measure').val() === 'm²'){
            var total_cost =
                    ($('#unit_cost_estimated_user').val() * {{ linkedObjectsInfos.surface|default(0) }});
            }
            $('#total_cost_estimated_user').val(Math.round(total_cost));
            }


            function isRequired(element) {
            if ($('#' + element).val() == '' && $('#cost_management').is(':checked')) {
            $('#' + element).css('border-color', 'red')
            } else {
            $('#' + element).css('border-color', '')
            }

            }

            function resetCosts() {
            $('#unit_cost_estimated_user').val(0);
            $('#total_cost_estimated_user').val(0);
            }

            $('#update_total_cost').on('click', function () {
            updateTotalCost()
            });
            $('#unit_cost_estimated_user').on('change', function () {
            updateTotalCost();
            isRequired('unit_cost_estimated_user');
            });
            $('#unit_measure_estimated_user').on('change', function () {
            updateTotalCost();
            isRequired('unit_measure_estimated_user');
            });
            $('#total_cost_estimated_user').on('change', function () {
            isRequired('total_cost_estimated_user');
            });
            $('#cost_management').on('click', function () {
            if ($('#cost_management').is(':checked')) {
            $('#cost_management_div').show(150);
            updateCosts();
            } else {
            $('#cost_management_div').hide(150);
            resetCosts();
            }
            });



    </script>

{% endif %}
